import { Fraction } from "../DataObjects";
import { CursorPosChangedData } from "../DataObjects/CursorPosChangedData";
import { MidiInstrument } from "../../MusicalScore/VoiceData";

export interface IPlaybackListener {
    cursorPositionChanged(timestamp: Fraction, data: CursorPosChangedData, playerManage?: any): void;
    pauseOccurred(o: object): void;
    selectionEndReached(o: object): void;
    resetOccurred(o: object): void;
    notesPlaybackEventOccurred(o: object): void;
    notesPlaybackEventOccurred(o: object): void;
    setSound(channel: number, newSoundId: MidiInstrument): void;
}
